Summary: Module logging slow requests for Apache
Name: mod_logslow
Version: 1.0.8
Release: 2%{?dist}
License: ASL 2.0
URL:     http://modlogslow.googlecode.com/
Source0: https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/modlogslow/modlogslow-%{version}.tar.gz
Source1: logslow.conf
Requires: httpd
Requires: httpd-mmn = %([ -a %{_includedir}/httpd/.mmn ] && cat %{_includedir}/httpd/.mmn || echo missing)
BuildRequires: httpd-devel
BuildRequires: gcc

%description
mod_log_slow is an apache module to provide measurements of the time period used for 
handling each request by the current process. Logging is done after processing 
a request if the request takes more than a defined period of time.

%prep
%setup -q -n modlogslow-%{version}


%build
%if 0%{?fedora} >= 18
    %{_bindir}/apxs -Wc,"%{optflags}" -c mod_log_slow.c
%else
    %{_sbindir}/apxs -Wc,"%{optflags}" -c mod_log_slow.c
%endif



%install
install -D -p -m 0755 .libs/mod_log_slow.so \
    %{buildroot}%{_libdir}/httpd/modules/mod_log_slow.so
install -D -p -m 0644 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/httpd/conf.d/logslow.conf


%files
%defattr(-,root,root,-)
%doc README LICENSE Changelog
%config(noreplace) %{_sysconfdir}/httpd/conf.d/logslow.conf
%{_libdir}/httpd/modules/mod_log_slow.so


%changelog
* Thu May 13 2021 josef radinger <cheese@nosuchhost.net> - 1.0.8-2
- bump version
- cleanup specfile
- add BuildRequires

* Sun Jul 07 2013 josef radinger <cheese@nosuchhost.net>
- 1.0.8-1
- bump version
- fix dates in spec-file
- fix version in specfile

* Mon Oct 15 2012 josef radinger <cheese@nosuchhost.net>
- 1.0.6-2
- change path for fc18
- NOT READY as httpd >=2.4 is incompatible

* Mon Oct 15 2012 josef radinger <cheese@nosuchhost.net>
- 1.0.6-1
- Initial RPM release.

